From ca3c22eee79323a17e62a57b8acbfe5dac05b01b Mon Sep 17 00:00:00 2001
From: sezero <sezero@users.sourceforge.net>
Date: Sun, 22 Jan 2017 11:11:04 +0300
Subject: [PATCH 1/9] exports.h: properly define FLAC_API when building a dll
 with Watcom

---
 include/FLAC/export.h | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/include/FLAC/export.h b/include/FLAC/export.h
index d52f0bb..2bdb0b2 100644
--- a/include/FLAC/export.h
+++ b/include/FLAC/export.h
@@ -66,6 +66,9 @@
 #define FLAC_API __declspec(dllimport)
 #endif
 
+#elif defined(__WATCOMC__) && defined(__SW_BD) && defined(FLAC_API_EXPORTS)
+#define FLAC_API __declspec(dllexport)
+
 #elif defined(FLAC__USE_VISIBILITY_ATTR)
 #define FLAC_API __attribute__ ((visibility ("default")))
 
-- 
1.8.5.5

